Bug 165609 - [exp-run] DISTNAME= PORTNAME-PORTVERSION is not needed
Summary: [exp-run] DISTNAME= PORTNAME-PORTVERSION is not needed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-02 04:40 UTC by Philip M. Gollucci
Modified: 2013-09-30 15:30 UTC (History)
0 users

See Also:


Attachments
dn (9.22 KB, text/plain)
2012-03-02 04:40 UTC, Philip M. Gollucci
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philip M. Gollucci freebsd_committer 2012-03-02 04:40:10 UTC
  Checked by make makesum which resulted in no deltas
Comment 1 Philip M. Gollucci freebsd_committer 2012-03-02 04:41:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I will take it.
Comment 2 Philip M. Gollucci freebsd_committer 2012-03-02 04:41:10 UTC
Responsible Changed
From-To: pgollucci->portmgr
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2012-03-19 23:53:33 UTC
State Changed
From-To: open->analyzed

take for -exp. 


Comment 4 Mark Linimon freebsd_committer freebsd_triage 2012-03-19 23:53:33 UTC
Responsible Changed
From-To: portmgr->linimon
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2013-02-20 05:19:37 UTC
State Changed
From-To: analyzed->open

I am no longer in a position to test this.  In addition, I no longer have 
access to my notes on how far the build got. 


Comment 6 Mark Linimon freebsd_committer freebsd_triage 2013-02-20 05:19:37 UTC
Responsible Changed
From-To: linimon->portmgr
Comment 7 Bryan Drewery freebsd_committer 2013-09-30 12:03:50 UTC
Responsible Changed
From-To: portmgr->bdrewery

I'll take it.
Comment 8 dfilter service freebsd_committer 2013-09-30 15:23:16 UTC
Author: bdrewery
Date: Mon Sep 30 14:23:02 2013
New Revision: 328795
URL: http://svnweb.freebsd.org/changeset/ports/328795

Log:
  - Remove default DISTNAME
  
  PR:		ports/165609
  Submitted by:	pgollucci (March 2012)
  With hat:	portmgr

Modified:
  head/audio/autotalent/Makefile
  head/databases/py-couchdb/Makefile
  head/devel/bsdlibdwarf/Makefile
  head/net/relayd/Makefile
  head/sysutils/nvramtool/Makefile
  head/www/grails/Makefile

Modified: head/audio/autotalent/Makefile
==============================================================================
--- head/audio/autotalent/Makefile	Mon Sep 30 14:22:30 2013	(r328794)
+++ head/audio/autotalent/Makefile	Mon Sep 30 14:23:02 2013	(r328795)
@@ -5,7 +5,6 @@ PORTNAME=	autotalent
 PORTVERSION=	0.2
 CATEGORIES=	audio
 MASTER_SITES=	http://web.mit.edu/tbaran/www/
-DISTNAME=	${PORTNAME}-${PORTVERSION}
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Real-time pitch correction plugin for LADSPA

Modified: head/databases/py-couchdb/Makefile
==============================================================================
--- head/databases/py-couchdb/Makefile	Mon Sep 30 14:22:30 2013	(r328794)
+++ head/databases/py-couchdb/Makefile	Mon Sep 30 14:23:02 2013	(r328795)
@@ -6,7 +6,6 @@ PORTVERSION=	0.8
 CATEGORIES=	databases python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
-DISTNAME=	${PORTNAME}-${PORTVERSION}
 DIST_SUBDIR=	python
 
 MAINTAINER=	niwi@niwi.be

Modified: head/devel/bsdlibdwarf/Makefile
==============================================================================
--- head/devel/bsdlibdwarf/Makefile	Mon Sep 30 14:22:30 2013	(r328794)
+++ head/devel/bsdlibdwarf/Makefile	Mon Sep 30 14:23:02 2013	(r328795)
@@ -6,7 +6,6 @@ PORTVERSION=	0.20110616
 CATEGORIES=	devel
 MASTER_SITES=	ftp://ftp.lysator.liu.se/%SUBDIR%/
 MASTER_SITE_SUBDIR=	pub/${PORTNAME}
-DISTNAME=	${PORTNAME}-${PORTVERSION}
 
 MAINTAINER=	zeising@FreeBSD.org
 COMMENT=	BSD licensed implementation of libdwarf

Modified: head/net/relayd/Makefile
==============================================================================
--- head/net/relayd/Makefile	Mon Sep 30 14:22:30 2013	(r328794)
+++ head/net/relayd/Makefile	Mon Sep 30 14:23:02 2013	(r328795)
@@ -13,7 +13,6 @@ COMMENT=	OpenBSD relay daemon
 
 LICENSE=	BSD
 
-DISTNAME=	${PORTNAME}-${PORTVERSION}
 USE_BZIP2=	yes
 MANCOMPRESSED=	yes
 

Modified: head/sysutils/nvramtool/Makefile
==============================================================================
--- head/sysutils/nvramtool/Makefile	Mon Sep 30 14:22:30 2013	(r328794)
+++ head/sysutils/nvramtool/Makefile	Mon Sep 30 14:23:02 2013	(r328795)
@@ -5,7 +5,6 @@ PORTNAME=	nvramtool
 PORTVERSION=	r6440
 CATEGORIES=	sysutils
 MASTER_SITES=	http://www.zonov.org/${PORTNAME}/
-DISTNAME=	${PORTNAME}-${PORTVERSION}
 
 MAINTAINER=	zont@FreeBSD.org
 COMMENT=	A utility for reading, writing the contents of CMOS memory

Modified: head/www/grails/Makefile
==============================================================================
--- head/www/grails/Makefile	Mon Sep 30 14:22:30 2013	(r328794)
+++ head/www/grails/Makefile	Mon Sep 30 14:23:02 2013	(r328795)
@@ -6,7 +6,6 @@ DISTVERSION=	1.3.6
 CATEGORIES=	www java
 MASTER_SITES=	http://dist.codehaus.org/grails/ \
 		http://dist.springframework.org.s3.amazonaws.com/release/GRAILS/
-DISTNAME=	${PORTNAME}-${PORTVERSION}
 
 MAINTAINER=	mjs@bur.st
 COMMENT=	Web framework built on Groovy
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Bryan Drewery freebsd_committer 2013-09-30 15:23:52 UTC
State Changed
From-To: open->closed

Mostly committed. Most of it conflicted so I recreated the change in te 
ports listed. devel/eric4 needs the DISTNAME setting through since the 
master port redefines it.